<xsl:transform xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>
<xsl:output method='html'/>
<xsl:template match="ead/control" />
<xsl:template match="ead/eadheader" />
<xsl:template match="ead/frontmatter" />

<xsl:template match="ead/archdesc">
   <html>
      <head>
         <title>Catholic Research Resources Alliance:
            <xsl:value-of select="did/unitid"/>
         </title>
         <link rel="stylesheet" href="crra.css" type="text/css" media="screen"/>
      </head>
      <body>
         <div>
            <a href="https://catholicresearch.org" target="crra"><img src="crra.png" alt="CRRA" /> <strong> . . . Catholic Research Resources Alliance</strong> </a>
            <hr/> 
            <h2></h2>
            <xsl:apply-templates/>
            <br/><hr/>
            <h3 align="center"><a href="https://catholicresearch.org" target="crra">Catholic Research Resources Alliance</a></h3>
            <br/>
         </div>

      </body>
   </html>
</xsl:template>

<xsl:template match="did/unittitle">
      <br/><h1><xsl:apply-templates/></h1>
</xsl:template>

<xsl:template match="did/unitdate">
    <p><b><xsl:apply-templates/></b></p>
</xsl:template>

<xsl:template match="did/origination/*">
    <i>Origination</i> : <xsl:apply-templates/><br/>
</xsl:template>

<xsl:template match="did/physdesc">
    <i>Extent</i> : <xsl:apply-templates/><br/>
</xsl:template>

<xsl:template match="did/repository/corpname">
    <i>Repository</i> :
        <xsl:apply-templates/>
    <br/>
</xsl:template>

<xsl:template match="did/repository/address">
    <i>Address</i> : <xsl:apply-templates/><br/>
</xsl:template>

<xsl:template match="acqinfo">
    <h3>Source:</h3>
    <xsl:apply-templates/>
</xsl:template>

<xsl:template match="controlaccess">
    <h3>Index</h3>
    <xsl:apply-templates/>
</xsl:template>

<xsl:template match="controlaccess/*">
    <xsl:apply-templates/><br/>
</xsl:template>

<xsl:template match="head">
    <h3><xsl:apply-templates/></h3>
</xsl:template>

<xsl:template match="dsc">
    <xsl:for-each select="//c">
        <xsl:if test="@level = 'collection' or @level = 'series'">
                <p>
                <xsl:value-of select="@level"/> :
                <xsl:value-of select="did/unittitle"/> -
                <xsl:value-of select="did/unitdate"/>
                </p>
        </xsl:if>
    </xsl:for-each>
    <xsl:apply-templates/>
</xsl:template>

<xsl:template match="p">
    <p><xsl:apply-templates/></p>
</xsl:template>

<xsl:template match="lb">
    <br/>
</xsl:template>

<xsl:template match="c01|c02">
    <p><b><a name="{generate-id()}"> </a><xsl:apply-templates/></b></p>
</xsl:template>

<xsl:template match="c|c01|c02|c03|c04|c05|c06|c07|c08|c09|c11|c12">
    <ul><li><xsl:apply-templates/></li></ul>
</xsl:template>

<xsl:template match="dsc//unitid">
    <b><xsl:apply-templates/></b>
</xsl:template>

<xsl:template match="dsc//unitdate">
     - <xsl:apply-templates/>
</xsl:template>

<xsl:template match="dsc//container">
    <b><xsl:apply-templates/></b>
</xsl:template>

<xsl:template match="dsc//unittitle">
    <i>-&#32;<xsl:value-of select="@type"/></i> -
    <xsl:apply-templates/>
</xsl:template>

<xsl:template match="title">
    <i><xsl:apply-templates/></i>
</xsl:template>

<xsl:template match="controlaccess/title">
    <i><xsl:apply-templates/></i><br/>
</xsl:template>

<xsl:template match="list">
    <ul><xsl:apply-templates/></ul>
</xsl:template>

<xsl:template match="list/item">
    <li><xsl:apply-templates/></li>
</xsl:template>

<xsl:template match="chronlist">
    <table><xsl:apply-templates/></table>
</xsl:template>

<xsl:template match="chronlist/chronitem">
    <tr><xsl:apply-templates/></tr>
</xsl:template>

<xsl:template match="chronlist/chronitem/date">
    <td><xsl:apply-templates/></td>
</xsl:template>

<xsl:template match="chronlist/chronitem/event">
    <td><xsl:apply-templates/></td>
</xsl:template>

<xsl:template match="table">
    <table cellpadding="8" border="1">
        <xsl:apply-templates/>
    </table>
</xsl:template>

<xsl:template match="row">
    <tr><xsl:apply-templates/></tr>
</xsl:template>

<xsl:template match="entry">
    <td><xsl:apply-templates/></td>
</xsl:template>

<xsl:template match="abstract">
    <br/><xsl:apply-templates/>
</xsl:template>

<xsl:template match="ref">
    <a>
    <xsl:attribute name="href">
        <xsl:value-of select="@href"/>
    </xsl:attribute>
    <xsl:attribute name="target">new</xsl:attribute>
    <xsl:apply-templates/>
    </a>
</xsl:template>

</xsl:transform>
